Skip to main content
GET
Get Card Daily Spending Limit

Path Parameters

cardId
string<uuid>
required

Response

The request has succeeded.

amount
integer<int64>
required

Daily limit in minor units of currency. Divide by 10^decimals to get the major-unit value. USD, EUR, and GBP use 2 decimal places.

currency
string
required

ISO-4217 currency code — the card native currency (nativeCurrency on the card from GET /cards).

decimals
integer<int32>
required

Number of decimal places for this currency (2 for USD, EUR, and GBP).

syncStatus
enum<string>
required

Replication state of the limit. pending immediately after an update, synced once the change has been applied, failed if the change could not be applied after retries.

Available options:
pending,
synced,
failed
updatedAt
string<date-time>
required

Last time this limit was modified.

spentToday
integer<int64>
required

Amount spent today against this card limit, in minor units of currency. Resets at the start of each calendar day.

remaining
integer<int64>
required

Remaining headroom today, in minor units of currency. Equals max(0, amount - spentToday).